valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
29 lines (28 loc) • 925 B
TypeScript
import { z } from 'zod';
export declare const partyChatTokenEndpoint: {
readonly name: "Party Chat Token";
readonly description: "Get the party chat token";
readonly queryName: "Party_FetchMUCToken";
readonly category: "Party Endpoints";
readonly type: "glz";
readonly suffix: "/parties/v1/parties/{party id}/muctoken";
readonly riotRequirements: {
readonly token: true;
readonly entitlement: true;
readonly clientPlatform: true;
readonly clientVersion: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
Token: z.ZodString;
Room: z.ZodString;
}, "strip", z.ZodTypeAny, {
Token: string;
Room: string;
}, {
Token: string;
Room: string;
}>;
};
};
export type PartyChatTokenResponse = z.input<typeof partyChatTokenEndpoint.responses['200']>;